# Generated from url_scrubber-0.8.23.gem by gem2rpm -*- rpm-spec -*-
%global gem_name url_scrubber

Name: rubygem-%{gem_name}
Version: 0.8.23
Release: 1%{?dist}
Summary: Clean up URLs
License: MIT
URL: http://brandle.net
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.11.0
# BuildRequires: rubygem(rspec) < 2.12
# BuildRequires: rubygem(guard-bundler) >= 0.1.3
# BuildRequires: rubygem(guard-bundler) < 0.2
# BuildRequires: rubygem(guard-rspec) >= 0.4.3
# BuildRequires: rubygem(guard-rspec) < 0.5
# BuildRequires: rubygem(terminal-notifier-guard)
# BuildRequires: rubygem(rb-fsevent) >= 0.9.1
# BuildRequires: rubygem(rb-fsevent) < 0.10
BuildArch: noarch

%description
Remove extraneous bits from URLs, follow redirects, identify social media
urls, etc.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Guardfile
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/url_scrubber.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.8.23-1
- Initial package
